package com.sf.web.dms.statistics.entity;

package ..deTemp.1731160623474;

import com.smartframework.core.annotation.SmartComment;
import com.smartframework.web.core.annotation.SmartFieldAnnotation;
import java.io.Serializable;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

@Entity
@Table(name = "fes_rtu")
@SmartComment("fes_rtu")
public class FesRtuCover implements Serializable {
  @Id
  @SequenceGenerator(name = "_generated_id", allocationSize = 1, initialValue = 1, sequenceName = "SQ_FES_RTU")
  @GeneratedValue(strategy = GenerationType.AUTO, generator = "_generated_id")
  @Column(name = "id", length = 10, nullable = false)
  @SmartFieldAnnotation(description = "主键", checkValueRange = false, minValue = 0L, maxValue = 0L)
  private Integer id;
  
  @Column(name = "domain_id", length = 10, nullable = false)
  @SmartFieldAnnotation(description = "记录所属域", checkValueRange = false, minValue = 0L, maxValue = 0L, referenceTable = "mng_domain", referenceColumn = "domain_id", referenceDisplayColumn = "description")
  private Integer domainId;
  
  @Column(name = "description", length = 100, nullable = false)
  @SmartFieldAnnotation(description = "描述", checkValueRange = false, minLength = 0, maxLength = 100)
  private String description;
  
  @Column(name = "is_unused", length = 10, nullable = false)
  @SmartFieldAnnotation(description = "是否停用", checkValueRange = false, minValue = 0L, maxValue = 0L, enumName = "pub_two_valued_logic")
  private Integer isUnused;
  
  @Column(name = "type", length = 10)
  @SmartFieldAnnotation(description = "RTU类型", checkValueRange = false, minValue = 0L, maxValue = 0L, enumName = "fes_rtu_type")
  private Integer type;
  
  @Column(name = "container_id", length = 19)
  @SmartFieldAnnotation(description = "容器ID", checkValueRange = false, minValue = 0L, maxValue = 0L, referenceTable = "container_tablename", referenceColumn = "id", referenceDisplayColumn = "description")
  private Integer containerId;
  
  @Column(name = "container_tablename", length = 32)
  @SmartFieldAnnotation(description = "容器表名", checkValueRange = false, minLength = 0, maxLength = 32, referenceTable = "sys_table", referenceColumn = "table_name_eng", referenceDisplayColumn = "table_name_chn")
  private String containerTablename;
  
  @Column(name = "max_dig_no", length = 10, nullable = false)
  @SmartFieldAnnotation(description = "最大数字量输入点号", checkValueRange = false, minValue = 0L, maxValue = 0L)
  private Integer maxDigNo;
  
  @Column(name = "max_ana_no", length = 10, nullable = false)
  @SmartFieldAnnotation(description = "最大模拟量输入点号", checkValueRange = false, minValue = 0L, maxValue = 0L)
  private Integer maxAnaNo;
  
  @Column(name = "max_acc_no", length = 10, nullable = false)
  @SmartFieldAnnotation(description = "最大脉冲量输入点号", checkValueRange = false, minValue = 0L, maxValue = 0L)
  private Integer maxAccNo;
  
  @Column(name = "max_do_order", length = 10, nullable = false)
  @SmartFieldAnnotation(description = "最大数字量输出序号", checkValueRange = false, minValue = 0L, maxValue = 0L)
  private Integer maxDoOrder;
  
  @Column(name = "max_ao_order", length = 10, nullable = false)
  @SmartFieldAnnotation(description = "最大模拟量输出序号", checkValueRange = false, minValue = 0L, maxValue = 0L)
  private Integer maxAoOrder;
  
  @Column(name = "correlative_id", length = 10)
  @SmartFieldAnnotation(description = "关联RTU_ID", checkValueRange = false, minValue = 0L, maxValue = 0L, referenceTable = "fes_rtu", referenceColumn = "id", referenceDisplayColumn = "description")
  private Integer correlativeId;
  
  @Column(name = "correlative_file", length = 32)
  @SmartFieldAnnotation(description = "关联文件", checkValueRange = false, minLength = 0, maxLength = 32)
  private String correlativeFile;
  
  @Column(name = "alarm_priority", length = 10, nullable = false)
  @SmartFieldAnnotation(description = "报警优先级", checkValueRange = false, minValue = 0L, maxValue = 0L, referenceTable = "alarm_level", referenceColumn = "priority_id", referenceDisplayColumn = "priority_name")
  private Integer alarmPriority;
  
  @Column(name = "is_water_alm", length = 10, nullable = false)
  @SmartFieldAnnotation(description = "是否流水账", checkValueRange = false, minValue = 0L, maxValue = 0L, enumName = "pub_two_valued_logic")
  private Integer isWaterAlm;
  
  @Column(name = "is_ack_on_rtn", length = 10, nullable = false)
  @SmartFieldAnnotation(description = "是否返回自动确认", checkValueRange = false, minValue = 0L, maxValue = 0L, enumName = "pub_two_valued_logic")
  private Integer isAckOnRtn;
  
  @Column(name = "del_act_on_ack", length = 10, nullable = false)
  @SmartFieldAnnotation(description = "确认后删除动作", checkValueRange = false, minValue = 0L, maxValue = 0L, enumName = "pub_action_after_alarm_ack")
  private Integer delActOnAck;
  
  @Column(name = "is_never_alm_on_rtn", length = 10, nullable = false)
  @SmartFieldAnnotation(description = "是否返回不上窗", checkValueRange = false, minValue = 0L, maxValue = 0L, enumName = "pub_two_valued_logic")
  private Integer isNeverAlmOnRtn;
  
  @Column(name = "region_id", length = 10, nullable = false)
  @SmartFieldAnnotation(description = "责任区ID", checkValueRange = false, minValue = 0L, maxValue = 0L, referenceTable = "def_region", referenceColumn = "region_id", referenceDisplayColumn = "description")
  private Integer regionId;
  
  @Column(name = "alarm_delays", length = 10)
  @SmartFieldAnnotation(description = "报警延时时间", checkValueRange = false, minValue = 0L, maxValue = 0L)
  private Integer alarmDelays;
  
  @Column(name = "dev_id", length = 19)
  @SmartFieldAnnotation(description = "设备ID", checkValueRange = false, minValue = 0L, maxValue = 0L)
  private Integer devId;
  
  @Column(name = "current_sour", length = 10)
  @SmartFieldAnnotation(description = "当前源", checkValueRange = false, minValue = 0L, maxValue = 0L)
  private Integer currentSour;
  
  private Date utCurrentsour;
  
  @Column(name = "manual_sour", length = 10, nullable = false)
  @SmartFieldAnnotation(description = "源策略", checkValueRange = false, minValue = 0L, maxValue = 0L)
  private Integer manualSour;
  
  private Date utManualsour;
  
  @Column(name = "sour1", length = 10)
  @SmartFieldAnnotation(description = "源1", checkValueRange = false, minValue = 0L, maxValue = 0L, referenceTable = "fes_chan", referenceColumn = "id", referenceDisplayColumn = "description")
  private Integer sour1;
  
  @Column(name = "proto_s1", length = 10)
  @SmartFieldAnnotation(description = "源1协议状态", checkValueRange = false, minValue = 0L, maxValue = 0L, enumName = "valid_or_invalid_state")
  private Integer protoS1;
  
  private Date utProtos1;
  
  @Column(name = "sour2", length = 10)
  @SmartFieldAnnotation(description = "源2", checkValueRange = false, minValue = 0L, maxValue = 0L, referenceTable = "fes_chan", referenceColumn = "id", referenceDisplayColumn = "description")
  private Integer sour2;
  
  @Column(name = "proto_s2", length = 10)
  @SmartFieldAnnotation(description = "源2协议状态", checkValueRange = false, minValue = 0L, maxValue = 0L, enumName = "valid_or_invalid_state")
  private Integer protoS2;
  
  private Date utProtos2;
  
  @Column(name = "sour3", length = 10)
  @SmartFieldAnnotation(description = "源3", checkValueRange = false, minValue = 0L, maxValue = 0L, referenceTable = "fes_chan", referenceColumn = "id", referenceDisplayColumn = "description")
  private Integer sour3;
  
  @Column(name = "proto_s3", length = 10)
  @SmartFieldAnnotation(description = "源3协议状态", checkValueRange = false, minValue = 0L, maxValue = 0L, enumName = "valid_or_invalid_state")
  private Integer protoS3;
  
  private Date utProtos3;
  
  @Column(name = "sour4", length = 10)
  @SmartFieldAnnotation(description = "源4", checkValueRange = false, minValue = 0L, maxValue = 0L, referenceTable = "fes_chan", referenceColumn = "id", referenceDisplayColumn = "description")
  private Integer sour4;
  
  @Column(name = "proto_s4", length = 10)
  @SmartFieldAnnotation(description = "源4协议状态", checkValueRange = false, minValue = 0L, maxValue = 0L, enumName = "valid_or_invalid_state")
  private Integer protoS4;
  
  private Date utProtos4;
  
  @Column(name = "sour5", length = 10)
  @SmartFieldAnnotation(description = "源5", checkValueRange = false, minValue = 0L, maxValue = 0L, referenceTable = "fes_chan", referenceColumn = "id", referenceDisplayColumn = "description")
  private Integer sour5;
  
  @Column(name = "proto_s5", length = 10)
  @SmartFieldAnnotation(description = "源5协议状态", checkValueRange = false, minValue = 0L, maxValue = 0L, enumName = "valid_or_invalid_state")
  private Integer protoS5;
  
  private Date utProtos5;
  
  @Column(name = "manual_status", length = 10)
  @SmartFieldAnnotation(description = "人工置态", checkValueRange = false, minValue = 0L, maxValue = 0L)
  private Integer manualStatus;
  
  private Date utManuals;
  
  @Column(name = "status", length = 10)
  @SmartFieldAnnotation(description = "状态", checkValueRange = false, minValue = 0L, maxValue = 0L, enumName = "fes_node_status")
  private Integer status;
  
  private Date utStatus;
  
  @Column(name = "rtu_addr", length = 32)
  @SmartFieldAnnotation(description = "通讯站地址", checkValueRange = false, minLength = 0, maxLength = 32)
  private String rtuAddr;
  
  private Date activeTime;
  
  @Column(name = "rtu_interrupt_time", length = 10)
  @SmartFieldAnnotation(description = "RTU检测时间", checkValueRange = false, minValue = 0L, maxValue = 0L)
  private Integer rtuInterruptTime;
  
  @Column(name = "encode_id", length = 10)
  @SmartFieldAnnotation(description = "加密组号", checkValueRange = false, minValue = 0L, maxValue = 0L)
  private Integer encodeId;
  
  @Column(name = "sysid", length = 10, nullable = false)
  @SmartFieldAnnotation(description = "系统标识", checkValueRange = false, minValue = 0L, maxValue = 0L, enumName = "system_number")
  private Integer sysid;
  
  @Column(name = "is_transmit", length = 10)
  @SmartFieldAnnotation(description = "生命周期", checkValueRange = false, minValue = 0L, maxValue = 0L, enumName = "life_cycle")
  private Integer isTransmit;
  
  @Column(name = "comm_type", length = 10)
  @SmartFieldAnnotation(description = "通讯方式", checkValueRange = false, minValue = 0L, maxValue = 0L, enumName = "terminal_communication_mode")
  private Integer commType;
  
  @Column(name = "manu_fac", length = 10)
  @SmartFieldAnnotation(description = "终端厂家", checkValueRange = false, minValue = 0L, maxValue = 0L, enumName = "terminal_manufacturer")
  private Integer manuFac;
  
  private Date activetime;
  
  private Date utcurrentsour;
  
  private Date utmanuals;
  
  private Date utmanualsour;
  
  private Date utprotos1;
  
  private Date utprotos2;
  
  private Date utprotos3;
  
  private Date utprotos4;
  
  private Date utprotos5;
  
  private Date utstatus;
  
  public void setId(Integer id) {
    this.id = id;
  }
  
  public Integer getId() {
    return this.id;
  }
  
  public void setDomainId(Integer domainId) {
    this.domainId = domainId;
  }
  
  public Integer getDomainId() {
    return this.domainId;
  }
  
  public void setDescription(String description) {
    this.description = description;
  }
  
  public String getDescription() {
    return this.description;
  }
  
  public void setIsUnused(Integer isUnused) {
    this.isUnused = isUnused;
  }
  
  public Integer getIsUnused() {
    return this.isUnused;
  }
  
  public void setType(Integer type) {
    this.type = type;
  }
  
  public Integer getType() {
    return this.type;
  }
  
  public void setContainerId(Integer containerId) {
    this.containerId = containerId;
  }
  
  public Integer getContainerId() {
    return this.containerId;
  }
  
  public void setContainerTablename(String containerTablename) {
    this.containerTablename = containerTablename;
  }
  
  public String getContainerTablename() {
    return this.containerTablename;
  }
  
  public void setMaxDigNo(Integer maxDigNo) {
    this.maxDigNo = maxDigNo;
  }
  
  public Integer getMaxDigNo() {
    return this.maxDigNo;
  }
  
  public void setMaxAnaNo(Integer maxAnaNo) {
    this.maxAnaNo = maxAnaNo;
  }
  
  public Integer getMaxAnaNo() {
    return this.maxAnaNo;
  }
  
  public void setMaxAccNo(Integer maxAccNo) {
    this.maxAccNo = maxAccNo;
  }
  
  public Integer getMaxAccNo() {
    return this.maxAccNo;
  }
  
  public void setMaxDoOrder(Integer maxDoOrder) {
    this.maxDoOrder = maxDoOrder;
  }
  
  public Integer getMaxDoOrder() {
    return this.maxDoOrder;
  }
  
  public void setMaxAoOrder(Integer maxAoOrder) {
    this.maxAoOrder = maxAoOrder;
  }
  
  public Integer getMaxAoOrder() {
    return this.maxAoOrder;
  }
  
  public void setCorrelativeId(Integer correlativeId) {
    this.correlativeId = correlativeId;
  }
  
  public Integer getCorrelativeId() {
    return this.correlativeId;
  }
  
  public void setCorrelativeFile(String correlativeFile) {
    this.correlativeFile = correlativeFile;
  }
  
  public String getCorrelativeFile() {
    return this.correlativeFile;
  }
  
  public void setAlarmPriority(Integer alarmPriority) {
    this.alarmPriority = alarmPriority;
  }
  
  public Integer getAlarmPriority() {
    return this.alarmPriority;
  }
  
  public void setIsWaterAlm(Integer isWaterAlm) {
    this.isWaterAlm = isWaterAlm;
  }
  
  public Integer getIsWaterAlm() {
    return this.isWaterAlm;
  }
  
  public void setIsAckOnRtn(Integer isAckOnRtn) {
    this.isAckOnRtn = isAckOnRtn;
  }
  
  public Integer getIsAckOnRtn() {
    return this.isAckOnRtn;
  }
  
  public void setDelActOnAck(Integer delActOnAck) {
    this.delActOnAck = delActOnAck;
  }
  
  public Integer getDelActOnAck() {
    return this.delActOnAck;
  }
  
  public void setIsNeverAlmOnRtn(Integer isNeverAlmOnRtn) {
    this.isNeverAlmOnRtn = isNeverAlmOnRtn;
  }
  
  public Integer getIsNeverAlmOnRtn() {
    return this.isNeverAlmOnRtn;
  }
  
  public void setRegionId(Integer regionId) {
    this.regionId = regionId;
  }
  
  public Integer getRegionId() {
    return this.regionId;
  }
  
  public void setAlarmDelays(Integer alarmDelays) {
    this.alarmDelays = alarmDelays;
  }
  
  public Integer getAlarmDelays() {
    return this.alarmDelays;
  }
  
  public void setDevId(Integer devId) {
    this.devId = devId;
  }
  
  public Integer getDevId() {
    return this.devId;
  }
  
  public void setCurrentSour(Integer currentSour) {
    this.currentSour = currentSour;
  }
  
  public Integer getCurrentSour() {
    return this.currentSour;
  }
  
  public void setUtCurrentsour(Date utCurrentsour) {
    this.utCurrentsour = utCurrentsour;
  }
  
  public Date getUtCurrentsour() {
    return this.utCurrentsour;
  }
  
  public void setManualSour(Integer manualSour) {
    this.manualSour = manualSour;
  }
  
  public Integer getManualSour() {
    return this.manualSour;
  }
  
  public void setUtManualsour(Date utManualsour) {
    this.utManualsour = utManualsour;
  }
  
  public Date getUtManualsour() {
    return this.utManualsour;
  }
  
  public void setSour1(Integer sour1) {
    this.sour1 = sour1;
  }
  
  public Integer getSour1() {
    return this.sour1;
  }
  
  public void setProtoS1(Integer protoS1) {
    this.protoS1 = protoS1;
  }
  
  public Integer getProtoS1() {
    return this.protoS1;
  }
  
  public void setUtProtos1(Date utProtos1) {
    this.utProtos1 = utProtos1;
  }
  
  public Date getUtProtos1() {
    return this.utProtos1;
  }
  
  public void setSour2(Integer sour2) {
    this.sour2 = sour2;
  }
  
  public Integer getSour2() {
    return this.sour2;
  }
  
  public void setProtoS2(Integer protoS2) {
    this.protoS2 = protoS2;
  }
  
  public Integer getProtoS2() {
    return this.protoS2;
  }
  
  public void setUtProtos2(Date utProtos2) {
    this.utProtos2 = utProtos2;
  }
  
  public Date getUtProtos2() {
    return this.utProtos2;
  }
  
  public void setSour3(Integer sour3) {
    this.sour3 = sour3;
  }
  
  public Integer getSour3() {
    return this.sour3;
  }
  
  public void setProtoS3(Integer protoS3) {
    this.protoS3 = protoS3;
  }
  
  public Integer getProtoS3() {
    return this.protoS3;
  }
  
  public void setUtProtos3(Date utProtos3) {
    this.utProtos3 = utProtos3;
  }
  
  public Date getUtProtos3() {
    return this.utProtos3;
  }
  
  public void setSour4(Integer sour4) {
    this.sour4 = sour4;
  }
  
  public Integer getSour4() {
    return this.sour4;
  }
  
  public void setProtoS4(Integer protoS4) {
    this.protoS4 = protoS4;
  }
  
  public Integer getProtoS4() {
    return this.protoS4;
  }
  
  public void setUtProtos4(Date utProtos4) {
    this.utProtos4 = utProtos4;
  }
  
  public Date getUtProtos4() {
    return this.utProtos4;
  }
  
  public void setSour5(Integer sour5) {
    this.sour5 = sour5;
  }
  
  public Integer getSour5() {
    return this.sour5;
  }
  
  public void setProtoS5(Integer protoS5) {
    this.protoS5 = protoS5;
  }
  
  public Integer getProtoS5() {
    return this.protoS5;
  }
  
  public void setUtProtos5(Date utProtos5) {
    this.utProtos5 = utProtos5;
  }
  
  public Date getUtProtos5() {
    return this.utProtos5;
  }
  
  public void setManualStatus(Integer manualStatus) {
    this.manualStatus = manualStatus;
  }
  
  public Integer getManualStatus() {
    return this.manualStatus;
  }
  
  public void setUtManuals(Date utManuals) {
    this.utManuals = utManuals;
  }
  
  public Date getUtManuals() {
    return this.utManuals;
  }
  
  public void setStatus(Integer status) {
    this.status = status;
  }
  
  public Integer getStatus() {
    return this.status;
  }
  
  public void setUtStatus(Date utStatus) {
    this.utStatus = utStatus;
  }
  
  public Date getUtStatus() {
    return this.utStatus;
  }
  
  public void setRtuAddr(String rtuAddr) {
    this.rtuAddr = rtuAddr;
  }
  
  public String getRtuAddr() {
    return this.rtuAddr;
  }
  
  public void setActiveTime(Date activeTime) {
    this.activeTime = activeTime;
  }
  
  public Date getActiveTime() {
    return this.activeTime;
  }
  
  public void setRtuInterruptTime(Integer rtuInterruptTime) {
    this.rtuInterruptTime = rtuInterruptTime;
  }
  
  public Integer getRtuInterruptTime() {
    return this.rtuInterruptTime;
  }
  
  public void setEncodeId(Integer encodeId) {
    this.encodeId = encodeId;
  }
  
  public Integer getEncodeId() {
    return this.encodeId;
  }
  
  public void setSysid(Integer sysid) {
    this.sysid = sysid;
  }
  
  public Integer getSysid() {
    return this.sysid;
  }
  
  public void setIsTransmit(Integer isTransmit) {
    this.isTransmit = isTransmit;
  }
  
  public Integer getIsTransmit() {
    return this.isTransmit;
  }
  
  public void setCommType(Integer commType) {
    this.commType = commType;
  }
  
  public Integer getCommType() {
    return this.commType;
  }
  
  public void setManuFac(Integer manuFac) {
    this.manuFac = manuFac;
  }
  
  public Integer getManuFac() {
    return this.manuFac;
  }
  
  public void setActivetime(Date activetime) {
    this.activetime = activetime;
  }
  
  public Date getActivetime() {
    return this.activetime;
  }
  
  public void setUtcurrentsour(Date utcurrentsour) {
    this.utcurrentsour = utcurrentsour;
  }
  
  public Date getUtcurrentsour() {
    return this.utcurrentsour;
  }
  
  public void setUtmanuals(Date utmanuals) {
    this.utmanuals = utmanuals;
  }
  
  public Date getUtmanuals() {
    return this.utmanuals;
  }
  
  public void setUtmanualsour(Date utmanualsour) {
    this.utmanualsour = utmanualsour;
  }
  
  public Date getUtmanualsour() {
    return this.utmanualsour;
  }
  
  public void setUtprotos1(Date utprotos1) {
    this.utprotos1 = utprotos1;
  }
  
  public Date getUtprotos1() {
    return this.utprotos1;
  }
  
  public void setUtprotos2(Date utprotos2) {
    this.utprotos2 = utprotos2;
  }
  
  public Date getUtprotos2() {
    return this.utprotos2;
  }
  
  public void setUtprotos3(Date utprotos3) {
    this.utprotos3 = utprotos3;
  }
  
  public Date getUtprotos3() {
    return this.utprotos3;
  }
  
  public void setUtprotos4(Date utprotos4) {
    this.utprotos4 = utprotos4;
  }
  
  public Date getUtprotos4() {
    return this.utprotos4;
  }
  
  public void setUtprotos5(Date utprotos5) {
    this.utprotos5 = utprotos5;
  }
  
  public Date getUtprotos5() {
    return this.utprotos5;
  }
  
  public void setUtstatus(Date utstatus) {
    this.utstatus = utstatus;
  }
  
  public Date getUtstatus() {
    return this.utstatus;
  }
}
